Package dev.plex.listener.impl

# Class MuteListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.MuteListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class MuteListener extends PlexListener

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) List<String>`
`commands`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`MuteListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onChat(io.papermc.paper.event.player.AsyncChatEvent event)`
`void`
`onCommand(org.bukkit.event.player.PlayerCommandPreprocessEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### commands

List<String> commands

## Constructor Details

### MuteListener

public MuteListener()

## Method Details

### onChat

public void onChat(io.papermc.paper.event.player.AsyncChatEvent event)

### onCommand

public void onCommand(org.bukkit.event.player.PlayerCommandPreprocessEvent event)